package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QueryMerchantBalanceParam implements Serializable {
    private static final long serialVersionUID = 2535007246313969081L;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 流水类型：0-收入；1-支出
     */
    private Integer type;

    /**
     * 操作类型：1-订单收益；2-提现
     */
    private Integer operateType;
}
