package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.Merchant;

import java.util.List;

/**
 * 商家业务操作接口
 *
 * @author Woody
 * @date 2023/5/2
 */
public interface MerchantService extends IService<Merchant> {
    /**
     * 获取商家id
     * @param userId 用户id
     * @return
     */
    List<Long> getMerchantIdsByUserId(Long userId);
}
